/**
 * Test case for resolver.
 * Runs with mocha.
 */
'use strict'

const resolver = require('../lib/resolver.js')
const assert = require('assert')
const co = require('co')

describe('resolver', function () {
  this.timeout(3000)

  before(() => co(function * () {

  }))

  after(() => co(function * () {

  }))

  it('Resolver', () => co(function * () {
    let defined = resolver({
      captions: {
        USER_LIST: 'List of users'
      }
    })
    assert.equal(
      defined('captions.USER_LIST'),
      'List of users'
    )
    assert.deepEqual(
      defined({ foo: 'captions.USER_LIST' }),
      { foo: 'List of users' }
    )
  }))

  it('Define multiple resolver', () => co(function * () {
    let defined = resolver.combine({
      en: {
        captions: {
          USER_LIST: 'List of users'
        }
      }
    })
    assert.equal(
      defined.en('captions.USER_LIST'),
      'List of users'
    )
  }))
})

/* global describe, before, after, it */
